Bug 1417362 - Microphone not detected since kernel 4.4
Summary: Microphone not detected since kernel 4.4
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 07:57 UTC by Arnaud Kleinveld
Modified: 2019-01-09 12:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-28 07:43:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Arnaud Kleinveld 2017-01-28 07:57:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Arnaud Kleinveld 2017-01-28 08:02:10 UTC
Please ignore my comment above, the form got submitted without the required content.

Description of problem: No microphone detected by the kernel since kernel 4.4

Version-Release number of selected component (if applicable): kernel 4.4 upwards. Currently using 4.9.5-200


How reproducible: Browse to Gnome sound settings and click the input tab and no input devices are listed.


Additional info: Seems to be related to the change of HDA to I2S mode, see bug 1313434

Comment 2 Arnaud Kleinveld 2017-02-03 03:17:52 UTC
I discovered that when I do the following all audio related problems are fixed until next reboot or suspend.

1) Shutdown
2) Boot Ubuntu 16.10 from USB Drive
3) Review Audio output and input selection and select Broadwell output and input devices if not already 
4) Shutdown
5) Boot Fedora

Audio works fine. Input is detected, Headphones are working without disturbing noises and no loud crack is heard when booting Fedora.

After reboot or suspend, audio is completely gone. No input or output devices are detected.

Comment 3 Justin M. Forbes 2017-04-11 14:38:25 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 4 Arnaud Kleinveld 2017-04-12 04:05:31 UTC
Microphone still not detected with kernel 4.10.8-200. dnf update doesn't offer me 4.10.9-200 yet.

Comment 5 Fedora End Of Life 2017-11-16 19:49:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Laura Abbott 2018-02-28 03:40:49 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 7 Arnaud Kleinveld 2018-02-28 07:43:35 UTC
No longer valid since upgrade to F27

Thanks!


Note You need to log in before you can comment on or make changes to this bug.